# $Revision: 1.78.2.9 $, $Date: 2008-03-03 21:37:43 $
#
# Conditional build:
%bcond_without	ipod	# build without iPod support
#
Summary:	Music Management Application
Summary(pl):	Aplikacja do zarzdzania muzyk
Name:		rhythmbox
Version:	0.9.8
Release:	5
License:	GPL v2+
Group:		Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/rhythmbox/0.9/%{name}-%{version}.tar.bz2
# Source0-md5:	648400feb794538207b4fe95f0917d1f
Patch0:		%{name}-desktop.patch
Patch2:		%{name}-gtk2.8-crash.patch
Patch3:		%{name}-pyc.patch
Patch4:		%{name}-link.patch
Patch5:		%{name}-configure.patch
URL:		http://www.rhythmbox.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	avahi-glib-devel
BuildRequires:	check >= 0.9.4
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-keyring-devel
BuildRequires:	gnome-vfs2-devel >= 2.14.0
BuildRequires:	gstreamer-devel >= 0.10.10
BuildRequires:	gstreamer-GConf >= 0.10
BuildRequires:	gstreamer-plugins-base-devel >= 0.10
BuildRequires:	gtk-doc
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	hal-devel >= 0.5.7
BuildRequires:	intltool
BuildRequires:	libglade2-devel >= 1:2.6.0
BuildRequires:	libgnomeui-devel >= 2.14.0
%{?with_ipod:BuildRequires:	libgpod-devel >= 0.4.0}
BuildRequires:	libmusicbrainz-devel >= 2.1.4
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libsexy-devel >= 0.1.5
BuildRequires:	libsoup-devel
BuildRequires:	libtool
BuildRequires:	lirc-devel
BuildRequires:	nautilus-cd-burner-devel >= 2.14.0.1-2
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel >= 2.10.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.437
BuildRequires:	scrollkeeper
BuildRequires:	totem-devel >= 1.1.3
BuildRequires:	zlib-devel
%pyrequires_eq	python-modules
Requires(post,preun):	GConf2 >= 2.14.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires:	dbus >= 0.60
Requires:	gstreamer-audio-effects-base >= 0.10.10
Requires:	gstreamer-audio-formats >= 0.10.4
Requires:	gstreamer-audiosink
Requires:	gstreamer-gnomevfs >= 0.10.10
Requires:	gstreamer-plugins-good >= 0.10.4
Requires:	gtk+2 >= 2:2.8.0
Requires:	libgnomeui >= 2.14.0
Obsoletes:	net-rhythmbox
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rhythmbox is your one-stop multimedia application, supporting a music
library, multiple "music groups", internet radio, and more.

%description -l pl
Rhythmbox to kompletna aplikacja multimedialna, obsugujca bibliotek
muzyczn, wiele "grup muzyki", radio internetowe itp.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
# for snapshots
gnome-doc-prepare --copy --force
%{__gtkdocize}
%{__gnome_doc_common}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I macros
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--enable-lirc \
	--with-cd-burning \
	--with-gnome-keyring \
	%{!?with_ipod:--without-ipod} \
	--with-mds=avahi \
	--with-internal-libsexy=no \
	--with-x
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

# there is no -devel subpackage, so we don't need APIdocs
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc

%find_lang %{name} --with-gnome

rm -f  $RPM_BUILD_ROOT%{_libdir}/bonobo/lib*.{la,a}
rm -f  $RPM_BUILD_ROOT%{_libdir}/rhythmbox/plugins/*/*.{a,la}
rm -rf $RPM_BUILD_ROOT%{_datadir}/application-registry
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime-info

find $RPM_BUILD_ROOT%{_libdir}/rhythmbox/plugins -name "*.py" -exec rm -f {} \;
find $RPM_BUILD_ROOT%{_libdir}/rhythmbox/plugins -name "*.a" -exec rm -f {} \;
find $RPM_BUILD_ROOT%{_libdir}/rhythmbox/plugins -name "*.la" -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%gconf_schema_install rhythmbox.schemas
%scrollkeeper_update_post
%update_desktop_database_post
%update_icon_cache hicolor
%banner %{name} -e <<'EOF'
Remember to install appropriate GStreamer plugins for files
you want to play:
- gstreamer-flac (for FLAC)
- gstreamer-mad (for MP3s)
- gstreamer-vorbis (for Ogg Vorbis)
- gstreamer-neon (for HTTP streams)
EOF

%preun
%gconf_schema_uninstall rhythmbox.schemas

%postun
/sbin/ldconfig
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f rhythmbox.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/rhythmbox-metadata
%attr(755,root,root) %{_libdir}/librhythmbox-core.so.*.*.*

%dir %{_libdir}/rhythmbox
%dir %{_libdir}/rhythmbox/plugins
%dir %{_libdir}/rhythmbox/plugins/artdisplay
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/artdisplay/*.py[co]
%{_libdir}/rhythmbox/plugins/artdisplay/rhythmbox-missing-artwork.svg
%{_libdir}/rhythmbox/plugins/artdisplay/*-plugin
%dir %{_libdir}/rhythmbox/plugins/audiocd
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/audiocd/*.so
%{_libdir}/rhythmbox/plugins/audiocd/*-plugin
%{_libdir}/rhythmbox/plugins/audiocd/*.glade
%dir %{_libdir}/rhythmbox/plugins/audioscrobbler
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/audioscrobbler/*.so
%{_libdir}/rhythmbox/plugins/audioscrobbler/*-plugin
%{_libdir}/rhythmbox/plugins/audioscrobbler/*.xml
%{_libdir}/rhythmbox/plugins/audioscrobbler/audioscrobbler-prefs.glade
%dir %{_libdir}/rhythmbox/plugins/cd-recorder
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/cd-recorder/*.so
%{_libdir}/rhythmbox/plugins/cd-recorder/*-plugin
%{_libdir}/rhythmbox/plugins/cd-recorder/recorder.glade
%dir %{_libdir}/rhythmbox/plugins/daap
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/daap/*.so
%{_libdir}/rhythmbox/plugins/daap/*-plugin
%{_libdir}/rhythmbox/plugins/daap/*.glade
%{_libdir}/rhythmbox/plugins/daap/*.xml
%dir %{_libdir}/rhythmbox/plugins/generic-player
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/generic-player/*.so
%{_libdir}/rhythmbox/plugins/generic-player/*-plugin
%{_libdir}/rhythmbox/plugins/generic-player/generic-player-ui.xml
%{?with_ipod:%dir %{_libdir}/rhythmbox/plugins/ipod}
%{?with_ipod:%attr(755,root,root) %{_libdir}/rhythmbox/plugins/ipod/*.so}
%{?with_ipod:%{_libdir}/rhythmbox/plugins/ipod/*-plugin}
%{?with_ipod:%{_libdir}/rhythmbox/plugins/ipod/ipod-ui.xml}
%dir %{_libdir}/rhythmbox/plugins/iradio
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/iradio/*.so
%{_libdir}/rhythmbox/plugins/iradio/*-plugin
%{_libdir}/rhythmbox/plugins/iradio/*.xml
%{_libdir}/rhythmbox/plugins/iradio/iradio-initial.pls
%{_libdir}/rhythmbox/plugins/iradio/station-properties.glade
%dir %{_libdir}/rhythmbox/plugins/jamendo
%{_libdir}/rhythmbox/plugins/jamendo/*.py[co]
%{_libdir}/rhythmbox/plugins/jamendo/*.glade
%{_libdir}/rhythmbox/plugins/jamendo/jamendo.rb-plugin
%{_libdir}/rhythmbox/plugins/jamendo/*.png
%dir %{_libdir}/rhythmbox/plugins/lirc
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/lirc/*.so
%{_libdir}/rhythmbox/plugins/lirc/*-plugin
%dir %{_libdir}/rhythmbox/plugins/lyrics
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/lyrics/*.py[co]
%{_libdir}/rhythmbox/plugins/lyrics/*-plugin
%dir %{_libdir}/rhythmbox/plugins/magnatune
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/magnatune/*.py[co]
%{_libdir}/rhythmbox/plugins/magnatune/*-plugin
%{_libdir}/rhythmbox/plugins/magnatune/*.glade
%{_libdir}/rhythmbox/plugins/magnatune/*.png
%dir %{_libdir}/rhythmbox/plugins/mmkeys
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/mmkeys/libmmkeys.so
%{_libdir}/rhythmbox/plugins/mmkeys/mmkeys.rb-plugin
%dir %{_libdir}/rhythmbox/plugins/power-manager
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/power-manager/*.so
%{_libdir}/rhythmbox/plugins/power-manager/*-plugin
%dir %{_libdir}/rhythmbox/plugins/python-console
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/python-console/*.py[co]
%{_libdir}/rhythmbox/plugins/python-console/*-plugin
%dir %{_libdir}/rhythmbox/plugins/rb
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/rb/*.py[co]
%dir %{_libdir}/rhythmbox/plugins/visualizer
%attr(755,root,root) %{_libdir}/rhythmbox/plugins/visualizer/libvisualizer.so
%{_libdir}/rhythmbox/plugins/visualizer/visualizer-controls.glade
%{_libdir}/rhythmbox/plugins/visualizer/visualizer-ui.xml
%{_libdir}/rhythmbox/plugins/visualizer/visualizer.rb-plugin

%{_datadir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/rhythmbox.png
%{_omf_dest_dir}/%{name}
%{_sysconfdir}/gconf/schemas/rhythmbox.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rhythmbox.spec,v $
Revision 1.78.2.9  2008-03-03 21:37:43  glen
- %update_icon_cache wasn't terminated (fcked up %banner)

Revision 1.78.2.8  2008-03-03 20:24:19  glen
- added configure patch which fix build with new check (megabajt@r1.84)
- rel 4

Revision 1.78.2.7  2008-02-26 00:23:53  glen
- release 3 (libssh2)

Revision 1.78.2.6  2007-03-05 07:36:25  hawk
- release 2 (I hope its OK this time)

Revision 1.78.2.5  2007/03/04 13:10:42  hawk
- merged %files sections from HEAD to fix my broken upgrade

Revision 1.78.2.4  2007/03/03 20:25:30  ankry
- it is not ready yet: hawk, check unpackaged files while upgrading

Revision 1.78.2.3  2007/02/21 22:00:27  hawk
- added --force to gnome-doc-prepare

Revision 1.78.2.2  2007/02/21 21:51:57  hawk
- updated to 0.9.8
- more Ac deps

Revision 1.78.2.1  2007/02/05 08:41:20  glen
- AC deps

Revision 1.78  2006/12/31 22:24:47  megabajt
- missing BR: rpm-pythonprov

Revision 1.77  2006/12/27 15:54:40  megabajt
- added link patch
- release 2

Revision 1.76  2006/12/22 20:31:30  aredridel
- 0.9.7
- remove obsolete patches
- re-organize %files for new plugin dir structure

Revision 1.75  2006/11/07 22:30:06  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.74  2006/11/03 22:07:19  czarny
- BR: lirc-devel
- updated configure for full feature build and removed obsolete options
- correctly done the ipod bcond (%files section should be moded too paladin!!!)

Revision 1.73  2006/10/10 10:31:02  megabajt
- use %update_icon_cache macro

Revision 1.72  2006/10/01 18:58:37  grzegol
- updated to 0.9.6
- removed outdated dbus patch (fixed upstream)
- more plugins

Revision 1.71  2006/09/09 00:14:43  aredridel
- BR: gnome-common (thanks, apollotiger@nbtsc.org)

Revision 1.70  2006/09/08 23:59:39  aredridel
- BR: gtk-doc (thanks, apollotiger@nbtsc.org)

Revision 1.69  2006/09/08 23:57:00  aredridel
- BR: gnome-doc-utils (thanks apollotiger@nbtsc.org)

Revision 1.68  2006/08/27 20:49:53  havner
- rel 5

Revision 1.67  2006/08/18 09:27:18  wiget
- --as-needed is global settings, release 4

Revision 1.66  2006/08/13 12:16:41  grzegol
- added dbus patch (fixes build with dbus-0.91

Revision 1.65  2006/07/15 22:34:17  freetz
- BR: check, rel.3

Revision 1.64  2006/07/15 19:01:53  freetz
- rel.2, updated deps, --as-needed support

Revision 1.63  2006/06/18 12:33:18  freetz
- 0.9.5, updated deps and file list, (re)generate icon cache
  note: depends on unreleased libgpod 0.3.3

Revision 1.62  2006/06/06 12:15:47  qboosh
- merged gstreamer deps update from AC-branch

Revision 1.61  2006/05/24 08:06:02  qboosh
- merged deps update and use-icon-name patch from AC-branch

Revision 1.52.2.7  2006/05/18 20:35:54  baggins
- release 6
- strict reqs

Revision 1.52.2.6  2006/05/17 17:38:33  baggins
- rel 5
- resolved libnotify problem

Revision 1.52.2.5  2006/05/17 15:48:45  baggins
- release 4
- fix icon on notification bubbles (from FC)

Revision 1.52.2.4  2006/05/17 15:27:15  baggins
- rel 3
- BR new libnotify

Revision 1.52.2.3  2006/05/17 14:44:31  baggins
- rel 2
- BR new libgpod

Revision 1.52.2.2  2006/05/17 14:33:09  baggins
- from HEAD

Revision 1.60  2006/04/25 21:37:38  paladine
- added ipod bcond

Revision 1.59  2006/04/25 16:15:38  freetz
- 0.9.4.1

Revision 1.58  2006/04/16 11:10:08  freetz
- 0.9.4, updated build time options, BR/R, updated file list, removed
  unneed files

Revision 1.57  2006/03/15 11:03:13  wiget
- require nautilus-cd-burner with fixed NAUTILUS_BURN_VERSION_MICRO macro
- release 2

Revision 1.56  2006/02/18 11:16:23  freetz
- rhythmbox can burn CDs without any external help, reverted last change
  (tested, I can't reproduce any crash and CD burning works perfectly
  without nautilus-cd-burner)

Revision 1.55  2006/02/17 21:13:44  aredridel
- add R: nautilius-cd-burner (crashes on trying to burn a CD without)

Revision 1.54  2006/02/04 10:30:28  freetz
- 0.9.3.1

Revision 1.53  2006/02/02 13:58:29  freetz
- 0.9.3, use gstreamer 0.10, switched to avahi, updaed BR/R

Revision 1.52  2005/11/28 18:13:36  freetz
- 0.9.2, dropped hal requirement (ankry uses rhythmbox on a 2.4.x box),
  libgpod BR

Revision 1.51  2005/10/17 09:36:30  freetz
- post merge cleanup

Revision 1.50  2005/10/17 09:27:07  freetz
- merged from DEVEL

Revision 1.46.2.10  2005/10/17 09:13:19  freetz
- 0.9.1, more BRs, more features enabled and it works even more stable
  will be moved to HEAD soon

Revision 1.46.2.9  2005/08/28 01:37:08  aredridel
- added gtk 2.8 crash patch

Revision 1.46.2.8  2005/08/18 11:45:50  aflinta
- rebuild with cair, rel. 2

Revision 1.46.2.7  2005/08/10 15:10:06  freetz
- 0.9.0 official release

Revision 1.46.2.6  2005/08/03 14:58:27  freetz
- remove obsoleted dirs, cleanup, more BRs, smallnote about ipod support

Revision 1.46.2.5  2005/08/03 13:49:55  freetz
- 20050803 snap, removed obsoleted stuff (like unmaintained xine backend)
  ar,mn locale removed (broken)

Revision 1.46.2.4  2005/05/22 23:59:06  wrobell
- snap 20050523

Revision 1.46.2.3  2005/05/20 19:16:26  wrobell
- fixed rel (it should be 05 not 09!)
- fixed compilation of ipod hal support

Revision 1.46.2.2  2005/05/20 18:19:02  wrobell
- snap 20050920 from merge tree

Revision 1.46.2.1  2005/03/25 01:27:34  wrobell
- ver 0.9.0, snap 2005-03-25
